/*
 * This file is generated by jOOQ.
 */
package ajar.ieds.calc.api.sql.tables.pojos;


import jakarta.validation.constraints.Size;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.annotation.processing.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.18.4",
        "schema version:1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class JooqExpression implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long expressionId;
    private String name;
    private String expression;
    private LocalDateTime createdAt;
    private LocalDateTime modifiedAt;
    private String author;

    public JooqExpression() {}

    public JooqExpression(JooqExpression value) {
        this.expressionId = value.expressionId;
        this.name = value.name;
        this.expression = value.expression;
        this.createdAt = value.createdAt;
        this.modifiedAt = value.modifiedAt;
        this.author = value.author;
    }

    public JooqExpression(
        Long expressionId,
        String name,
        String expression,
        LocalDateTime createdAt,
        LocalDateTime modifiedAt,
        String author
    ) {
        this.expressionId = expressionId;
        this.name = name;
        this.expression = expression;
        this.createdAt = createdAt;
        this.modifiedAt = modifiedAt;
        this.author = author;
    }

    /**
     * Getter for <code>expression.expression_id</code>.
     */
    public Long getExpressionId() {
        return this.expressionId;
    }

    /**
     * Setter for <code>expression.expression_id</code>.
     */
    public void setExpressionId(Long expressionId) {
        this.expressionId = expressionId;
    }

    /**
     * Getter for <code>expression.name</code>.
     */
    @Size(max = 20)
    public String getName() {
        return this.name;
    }

    /**
     * Setter for <code>expression.name</code>.
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Getter for <code>expression.expression</code>.
     */
    public String getExpression() {
        return this.expression;
    }

    /**
     * Setter for <code>expression.expression</code>.
     */
    public void setExpression(String expression) {
        this.expression = expression;
    }

    /**
     * Getter for <code>expression.created_at</code>.
     */
    public LocalDateTime getCreatedAt() {
        return this.createdAt;
    }

    /**
     * Setter for <code>expression.created_at</code>.
     */
    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * Getter for <code>expression.modified_at</code>.
     */
    public LocalDateTime getModifiedAt() {
        return this.modifiedAt;
    }

    /**
     * Setter for <code>expression.modified_at</code>.
     */
    public void setModifiedAt(LocalDateTime modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    /**
     * Getter for <code>expression.author</code>.
     */
    @Size(max = 20)
    public String getAuthor() {
        return this.author;
    }

    /**
     * Setter for <code>expression.author</code>.
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        final JooqExpression other = (JooqExpression) obj;
        if (this.expressionId == null) {
            if (other.expressionId != null)
                return false;
        }
        else if (!this.expressionId.equals(other.expressionId))
            return false;
        if (this.name == null) {
            if (other.name != null)
                return false;
        }
        else if (!this.name.equals(other.name))
            return false;
        if (this.expression == null) {
            if (other.expression != null)
                return false;
        }
        else if (!this.expression.equals(other.expression))
            return false;
        if (this.createdAt == null) {
            if (other.createdAt != null)
                return false;
        }
        else if (!this.createdAt.equals(other.createdAt))
            return false;
        if (this.modifiedAt == null) {
            if (other.modifiedAt != null)
                return false;
        }
        else if (!this.modifiedAt.equals(other.modifiedAt))
            return false;
        if (this.author == null) {
            if (other.author != null)
                return false;
        }
        else if (!this.author.equals(other.author))
            return false;
        return true;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((this.expressionId == null) ? 0 : this.expressionId.hashCode());
        result = prime * result + ((this.name == null) ? 0 : this.name.hashCode());
        result = prime * result + ((this.expression == null) ? 0 : this.expression.hashCode());
        result = prime * result + ((this.createdAt == null) ? 0 : this.createdAt.hashCode());
        result = prime * result + ((this.modifiedAt == null) ? 0 : this.modifiedAt.hashCode());
        result = prime * result + ((this.author == null) ? 0 : this.author.hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("JooqExpression (");

        sb.append(expressionId);
        sb.append(", ").append(name);
        sb.append(", ").append(expression);
        sb.append(", ").append(createdAt);
        sb.append(", ").append(modifiedAt);
        sb.append(", ").append(author);

        sb.append(")");
        return sb.toString();
    }
}
